Skip to main content
GET
C#
This endpoint requires the audit-logs.read scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-gr4vy-merchant-account-id
string

The ID of the merchant account to use for this request.

Example:

"default"

Query Parameters

cursor
string | null

A pointer to the page of results to return.

Example:

"ZXhhbXBsZTE"

limit
integer
default:20

The maximum number of items that are at returned.

Required range: 1 <= x <= 100
Example:

20

action
string | null

Filters the results to only the items for which the audit-log has an action that matches this value.

Example:

"created"

user_id
string<uuid> | null

Filters the results to only the items for which the user has an id that matches this value.

Example:

"14b7b8c5-a6ba-4fb6-bbab-52d43c7f37ef"

resource_type
string | null

Filters the results to only the items for which the audit-log has a resource that matches this type value.

Example:

"user"

Response

Successful Response

items
AuditLogEntry · object[]
required

A list of items returned for this request.

limit
integer
default:20

The number of items for this page.

Required range: 1 <= x <= 100
Example:

20

next_cursor
string | null

The cursor pointing at the next page of items.

Required string length: 1 - 1000
Example:

"ZXhhbXBsZTE"

previous_cursor
string | null

The cursor pointing at the previous page of items.

Required string length: 1 - 1000
Example:

"Xkjss7asS"